Package org.apache.commons.imaging

# Class ImagingFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.imaging.ImagingRuntimeException
org.apache.commons.imaging.ImagingFormatException

All Implemented Interfaces:
  `Serializable`

public class ImagingFormatException extends ImagingRuntimeException
Thrown when an image format is broken.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImagingFormatException(String format, Object... args)`
  Constructs a new exception with the specified detail message.
  `ImagingFormatException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImagingFormatException

    public ImagingFormatException(String format, Object... args)
    Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `format` - the detail message format per `String.format(String, Object...)`.
      `args` - the detail message argument per `String.format(String, Object...)`.

  - ### ImagingFormatException

    public ImagingFormatException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)